Bug 118076 - printf problem
printf problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 14:59 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 03:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
small printf patch (378 bytes, patch)
2004-08-13 04:10 EDT, Radek Vokal
no flags Details | Diff

  None (edit)
Description d.binderman 2004-03-11 14:59:56 EST
Description of problem:

I just tried to compile Fedora Core2 Test1 package file-4.07-1

The compiler said

fsmagic.c(98): warning #268: the format string ends before this argument

The source code is

                if (file_printf(ms, "cannot open (%s)",
                    fn, strerror(errno)) == -1)

Only one % specifier, but two trailing parameters.  I'm not sure what
the fix is for this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vokal 2004-08-13 04:10:23 EDT
Created attachment 102689 [details]
small printf patch

Patch fixes printf warning. Will be included on CVS later with other patches.

Note You need to log in before you can comment on or make changes to this bug.